## dma 0.0.2009.07.17

=== Makefile ===
# $DragonFly: src/libexec/dma/Makefile,v 1.5 2008/09/19 00:36:57 corecode Exp $
#

CFLAGS+= -I${.CURDIR}

DPADD=  ${LIBSSL} ${LIBCRYPTO}
LDADD=  -lssl -lcrypto

PROG=	dma
SRCS=	base64.c conf.c crypto.c net.c dma.c aliases_scan.l aliases_parse.y
MAN=	dma.8

BINOWN= root
BINGRP= mail
BINMODE=2555
WARNS?=	6

.include <bsd.prog.mk>

=== etc/Makefile ===
# $DragonFly: src/etc/dma/Makefile,v 1.3 2008/02/12 22:10:20 matthias Exp $

FILESDIR=	/etc/dma
SHAREOWN=	root
SHAREGRP=	mail
FILESMODE=	640

.if !exists(${DESTDIR}/etc/dma/auth.conf)
FILES+=		auth.conf
.endif
.if !exists(${DESTDIR}/etc/dma/dma.conf)
FILES+=		dma.conf
.endif
.if !exists(${DESTDIR}/etc/dma/virtusertable)
FILES+=		virtusertable
.endif

.include <bsd.prog.mk>

=== debian/changelog ===
dma (0.0.2009.07.17-3) unstable; urgency=low

  * Really install the files in /etc/dma/ as root/mail/640 and
    change the ownership of the existing files in the postinst script
    when upgrading from older versions.  Closes: #544664
  * Install the /usr/bin/mailq and /usr/bin/newaliases symlinks.
    Closes: #558421
  * Switch to the 3.0 (quilt) source format.
  * Update the debconf translations:
    - add German.  Closes: #552754
    - add Japanese.  Closes: #554515
    - remove a double space and unfuzzy the translations.  Closes: #552586
  * Fix a crash when the SMTP server does not support STARTTLS.
    Closes: #547594
  * Always use the user-supplied value from the debconf query for
    the smarthost and the double-bounce program.  This may result in
    debconf overriding a manually-edited config file, so add a note to
    dma.conf stating that these values are handled via debconf.
    Closes: #544663
  * Fix a misspelling of dma/dbounceprog as dma/defer in the debconf
    configuration script.  Oops.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 19 Dec 2009 14:35:10 +0200

dma (0.0.2009.07.17-2) unstable; urgency=low

  * Allow the spool directory to live on a filesystem that does not
    set the d_type member of the dirent structure, like XFS.
    Closes: #544357
  * Randomize the Message-Id a bit more.  Closes: #544475
  * Bump Standards-Version to 3.8.3 with no changes.
  * Only enable the build hardening wrapper if the "hardening" build
    option is specified.
  * Switch the copyright file header from the Wiki to DEP 5.
  * Remove the manual page ".Dx" patch - the groff version in Squeeze
    knows about the .Dx mdoc macro.  Add a lintian override for
    the "Unknown DragonFly version" error.
  * Convert the patch file headers to the DEP 3 format.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Sep 2009 13:36:33 +0300

dma (0.0.2009.07.17-1) unstable; urgency=low

  * Initial release
    (Closes: #511410, #533458, #533614, #533890, #534101, #534860)

 -- Peter Pentchev <roam@ringlet.net>  Tue, 11 Aug 2009 16:08:41 +0300

=== debian/control ===
Source: dma
Section: mail
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 7.0.50), byacc, flex, hardening-wrapper, liblockfile-dev, libssl-dev, pmake, po-debconf
Standards-Version: 3.8.3
Homepage: http://devel.ringlet.net/mail/dma/
Vcs-Svn: http://svn.ringlet.net/svn/ringlet/mail/dma/trunk/dma-pkg/debian/
Vcs-Browser: http://svn.ringlet.net/cgi-bin/viewvc/viewvc.cgi/ringlet/mail/dma/trunk/dma-pkg/debian/

Package: dma
Architecture: any
Depends: liblockfile1 (>> 1.01), ${shlibs:Depends}, ${misc:Depends}
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Replaces: mail-transport-agent
Recommends: safecat
Description: lightweight mail transport agent
 The DragonFly Mail Agent is a small Mail Transport Agent (MTA),
 designed for home and office use.  It accepts mails from local Mail
 User Agents (MUA) and delivers them either to local mailboxes or
 remote SMTP servers.  Remote delivery includes support for features
 such as TLS/SSL and SMTP authentication.
 .
 dma is not intended as a replacement for full-featured MTAs like
 Sendmail, Postfix, or Exim.  Consequently, dma does not listen on
 port 25 for incoming connections.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Debian build rules for dma, the DragonFly mail agent

PACKAGE=	dma
VERSION = `sed -e 's/^[^ ]\+ (\([^)]\+\)).*/\1/; 1q' debian/changelog`
VERSION_UP = `sed -e 's/^[^ ]\+ (0\.0\.\([^)-]\+\).*/\1/; 1q' debian/changelog | tr . -`
VERSION_ADD ?= -debian-01

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=	-Werror
endif
ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	export STRIPFLAG=
endif
ifneq (,$(filter hardening,$(DEB_BUILD_OPTIONS)))
export DEB_BUILD_HARDENING=1
else
export DEB_BUILD_HARDENING=0
endif

export CFLAGS

diffsrc:
	-diff -urN -x .svn debian/ ../svn/${PACKAGE}/tags/${PACKAGE}-${VERSION}${VERSION_ADD}/
	-diff -urN -x .svn -x debian -x .pc -I'\$$Ringlet.*\$$' ./ ../svn/${PACKAGE}/tags/${PACKAGE}-dfly-${VERSION_UP}/

override_dh_auto_build:
	pmake

override_dh_auto_clean:
	pmake clean

override_dh_auto_install:
	pmake DESTDIR=$(CURDIR)/debian/$(PACKAGE) BINDIR=/usr/sbin install
	install -d -o root -g mail -m 770 $(CURDIR)/debian/$(PACKAGE)/var/spool/dma

override_dh_fixperms:
	dh_fixperms -Xusr/sbin/dma -Xvar/spool/dma -Xetc/dma

%:
	dh $@

## dma 0.0.2010.06.17

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 LDADD=  -lssl -lcrypto
 
 PROG=	dma
-SRCS=	base64.c conf.c crypto.c net.c dma.c aliases_scan.l aliases_parse.y
+SRCS=	aliases_parse.y aliases_scan.l base64.c conf.c crypto.c
+SRCS+=	dma.c dns.c local.c mail.c net.c spool.c util.c
 MAN=	dma.8
 
 BINOWN= root

=== debian/changelog ===
dma (0.0.2010.06.17-6ubuntu1) natty; urgency=low

  * debian/patches/38_fix_ftbfs_binutils-gold.patch:
    to fix FTBFS error. (LP: #729118, Closes: #616586)

 -- Tarun Kumar Mall <c2tarun@gmail.com>  Sat, 05 Mar 2011 20:07:29 +0000

dma (0.0.2010.06.17-6) unstable; urgency=low

  * Add the 37-gnu-hurd patch to really fix the FTBFS on GNU/Hurd.
  * Convert several shell output assignments from = to :=
  * Switch to bzip2 compression for the Debian tarball.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 17 Oct 2010 00:08:33 +0300

dma (0.0.2010.06.17-5) unstable; urgency=low

  * Only use SA_NOCLDWAIT if available to fix the Hurd FTBFS.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 07 Oct 2010 11:42:23 +0300

dma (0.0.2010.06.17-4) unstable; urgency=low

  * Fix an infinite loop in dma-migrate if char is unsigned.
    Closes: #599172
  * Switch to Git and point the Vcs-* fields to Gitorious.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 06 Oct 2010 17:30:29 +0300

dma (0.0.2010.06.17-3) unstable; urgency=low

  * Update the debconf translations:
    - French by Steve Petruzzello; Closes: #587883
  * Bump Standards-Version to 3.9.1 with no changes.
  * Disable deferred delivery by default, as in the upstream version:
    - in the 03-debian-locations patch, comment the DEFER keyword in dma.conf,
      as it is upstream
    - refresh the 11-double-bounce.patch
    - reword the README.Debian section on deferred delivery a bit
    - add a news blurb

 -- Peter Pentchev <roam@ringlet.net>  Tue, 27 Jul 2010 13:34:27 +0300

dma (0.0.2010.06.17-2) unstable; urgency=low

  * Quick on the heels of -1 to fix a momentary lapse of reason on my part:
    in the 03-debian-locations patch, revert part of the 0.0.2010.06.17-1
    change: do not set a un-overrideable default for the deferred delivery!
    Closes: #587593
  * Update the debconf translations:
    - Japanese by Hideki Yamane; Closes: #587543

 -- Peter Pentchev <roam@ringlet.net>  Wed, 30 Jun 2010 11:59:46 +0300

dma (0.0.2010.06.17-1) unstable; urgency=low

  * New upstream version:
    - no longer reports the remote port number; Closes: #544820
    - fixes some queue locking problems; Closes: #582593
    - adapt the rules file to use the GNU Makefile instead of the BSD one
    - drop pmake from Build-Depends
    - remove the 01-debian-build patch, overtaken by upstream changes
    - in the 03-debian-locations patch, make the Debian defaults actual
      defaults for the dma binary, not just in the dma.conf file
    - adapt the 04-debian-setgid patch for the GNU Makefile
    - in the 10-liblockfile patch, change the GNU Makefile, too
    - enhance the 11-double-bounce patch a bit:
      - use dma's own delqueue() function instead of a naive unlink() so
        all the queue files are cleaned up
      - document the Debian default for DBOUNCEPROG in the manual page
    - resurrect the 13-hardening patch, correcting a couple of
      unchecked asprintf(3) and vasprintf(3) invocations
    - the functionality of the 20-parse-recipient patch was implemented
      upstream in a different way, so replace it with a small bugfix
    - remove the 22-openfiles patch, overtaken by upstream changes
    - in the 24-random-message-id patch, change the GNU Makefile, too
    - add the 27-int-size patch to cast a variable to the correct type
    - add the 28-valid-recipient patch to fix parsing recipients out of
      the message body
    - add the 29-double-free patch to fix a double-free error
    - add the 30-ldflags patch to honor LDFLAGS if specified
    - refresh the 09-typos, 17-mailname, 23-dirent-d_type, and
      25-unsupported-starttls patches
    - teach the dbounce-simple-safecat handler about the M*/Q* spool
      files scheme
  * Bump Standards-Version to 3.9.0 with no changes.
  * Update the copyright file:
    - bring it up to the latest revision of the DEP 5
    - update the upstream copyright notices
    - bump the year on my copyright notice
  * Remove the diffsrc rules target which was intended for my own
    internal use, but has outlived its time.
  * Use dpkg-buildflags from dpkg-dev >= 1.15.7~ to get the default
    values for CFLAGS, CPPFLAGS, and LDFLAGS; no longer rely on
    dpkg-buildpackage to set them by default.
  * Add the dma-migrate utility (in a separate binary package) to convert
    spool files to the new queue format (M* and Q* files for each message)
  * Add a dma-migrate invocation to dma.cron.d
  * Shorten the Vcs-Browser URL.
  * Add the 31-sigalrm-backoff patch to force a delivery attempt on SIGALRM.
  * Properly substitute the debconf-supplied values for DBOUNCEPROG and
    SMARTHOST into dma.conf even if they are empty without generating
    an invalid dma.conf file.
  * Remove the smarthost default; dma does MX lookups now, so it doesn't
    really *need* one anymore.
  * Reword the debconf relayhost question - dma does not really need
    a smarthost anymore.
  * Update the debconf translations:
    - Bulgarian
    - Portuguese by Américo Monteiro
    - German by Helge Kreutzmann; Closes: #586531
    - Russian by Yuri Kozlov; Closes: #586579
    - Czech by Michal Simunek; Closes: #586791
    - Swedish by Martin Bagge; Closes: #586825
    - Spanish by Francisco Javier Cuadrado; Closes: #587088
  * Update the smarthost configuration information in README.Debian.
  * Add the 32-comment-uncomment patch to correct the manual page wording.
  * Add the 33-opportunistic-tls patch to allow remote connections to proceed
    even if the STARTTLS negotiation fails.
  * Fix the 25-unsupported-starttls patch to actually error out if the SSL
    negotiation fails.
  * Forward all the non-Debian-specific patches upstream to Simon Schubert.
  * Add the 34-manpage-defaults patch to properly document what dma will use
    as default values if not specified in the config file instead of what
    the default config file specifies.  Closes: #544748
  * Add the 35-delivery-retry patch to try local deliveries a bit more often


=== debian/control ===
Source: dma
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), byacc, dpkg-dev (>= 1.15.7~), flex, hardening-wrapper, liblockfile-dev, libssl-dev, po-debconf
Standards-Version: 3.9.1
Homepage: http://devel.ringlet.net/mail/dma/
Vcs-Git: git://gitorious.org/dma-roam/pkg-debian.git
Vcs-Browser: http://gitorious.org/dma-roam/pkg-debian

Package: dma
Architecture: any
Depends: liblockfile1 (>> 1.01), ${shlibs:Depends}, ${misc:Depends}
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Replaces: mail-transport-agent
Recommends: dma-migrate, safecat
Description: lightweight mail transport agent
 The DragonFly Mail Agent is a small Mail Transport Agent (MTA),
 designed for home and office use.  It accepts mails from local Mail
 User Agents (MUA) and delivers them either to local mailboxes or
 remote SMTP servers.  Remote delivery includes support for features
 such as TLS/SSL and SMTP authentication.
 .
 dma is not intended as a replacement for full-featured MTAs like
 Sendmail, Postfix, or Exim.  Consequently, dma does not listen on
 port 25 for incoming connections.

Package: dma-migrate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: dma
Description: migration utility for the DragonFly Mail Agent's spool files
 The dma-migrate utility examines the DragonFly Mail Agent's mail queue
 and performs any conversions from old message file formats to the most
 recent one as needed.

=== debian/watch ===
# watch control file for dma, the DragonFly mail agent
version=3
http://devel.ringlet.net/mail/dma/ dma-(\d.*)\.tar\.gz

## dma 0.9

=== Makefile ===
#
# Depending on your operating system, you might want to influence
# the conditional inclusion of some helper functions:
#
# Define HAVE_* (in caps) if your system already provides:
#   reallocf
#   strlcpy
#   getprogname
#

SH?=		sh

version=	$(shell ${SH} get-version.sh)
debversion=	$(shell ${SH} get-version.sh | sed -Ee 's/^v//;s/[.]([[:digit:]]+)[.](g[[:xdigit:]]+)$$/+\1+\2/')

CC?=		gcc
CFLAGS?=	-O -pipe
LDADD?=		-lssl -lcrypto -lresolv

CFLAGS+=	-Wall -DDMA_VERSION='"${version}"' -DLIBEXEC_PATH='"${LIBEXEC}"' -DCONF_PATH='"${CONFDIR}"'

INSTALL?=	install -p
CHGRP?=		chgrp
CHMOD?=		chmod

PREFIX?=	/usr/local
SBIN?=		${PREFIX}/sbin
LIBEXEC?=	${PREFIX}/lib
CONFDIR?=	/etc/dma
MAN?=		${PREFIX}/share/man
VAR?=		/var
DMASPOOL?=	${VAR}/spool/dma
VARMAIL?=	${VAR}/mail
SYMLINK?=	-s # or empty to create hard link

YACC?=		yacc
LEX?=		lex
LN?=		ln

OBJS=	aliases_parse.o aliases_scan.o base64.o conf.o crypto.o
OBJS+=	dma.o dns.o local.o mail.o net.o spool.o util.o
OBJS+=	dfcompat.o

all: dma dma-mbox-create

clean:
	-rm -f .depend dma dma-mbox-create *.[do]
	-rm -f aliases_parse.[ch] aliases_scan.c

install: all
	${INSTALL} -d ${DESTDIR}${SBIN}
	${INSTALL} -d ${DESTDIR}${MAN}/man8 ${DESTDIR}${LIBEXEC}
	${INSTALL} -m 2755 -o root -g mail dma ${DESTDIR}${SBIN}
	${INSTALL} -m 4754 -o root -g mail dma-mbox-create ${DESTDIR}${LIBEXEC}
	${INSTALL} -m 0644 dma.8 ${DESTDIR}${MAN}/man8/

sendmail-link:
	cd ${DESTDIR}${SBIN} && ${LN} ${SYMLINK} dma sendmail

mailq-link:
	cd ${DESTDIR}${SBIN} && ${LN} ${SYMLINK} dma mailq

install-spool-dirs:
	${INSTALL} -d -m 2775 -o root -g mail ${DESTDIR}${DMASPOOL}
	${INSTALL} -d -m 2775 -o root -g mail ${DESTDIR}${VARMAIL}

permissions:
	-${CHGRP} mail ${DESTDIR}${VARMAIL}/*
	-${CHMOD} g+w ${DESTDIR}${VARMAIL}/*

install-etc:
	${INSTALL} -d ${DESTDIR}${CONFDIR}
	@if [ -e ${DESTDIR}${CONFDIR}/dma.conf ]; then \
		echo "Not overwriting ${DESTDIR}${CONFDIR}/dma.conf."; \
	else \
		echo ${INSTALL} -m 644 -o root -g mail dma.conf ${DESTDIR}${CONFDIR}; \
		${INSTALL} -m 644 -o root -g mail dma.conf ${DESTDIR}${CONFDIR}; \
	fi
	@if [ -e ${DESTDIR}${CONFDIR}/auth.conf ]; then \
		echo "Not overwriting ${DESTDIR}${CONFDIR}/auth.conf."; \
	else \
		echo ${INSTALL} -m 640 -o root -g mail auth.conf ${DESTDIR}${CONFDIR}; \
		${INSTALL} -m 640 -o root -g mail auth.conf ${DESTDIR}${CONFDIR}; \
	fi

aliases_parse.c: aliases_parse.y
	${YACC} -d -o aliases_parse.c aliases_parse.y

aliases_scan.c: aliases_scan.l
	${LEX} -t aliases_scan.l > aliases_scan.c

.SUFFIXES: .c .o

.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -include dfcompat.h -o $@ -c $<

dma: ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}


dch:
	dch --release-heuristic changelog -v ${debversion}


ppa:
	@if [ -z '${DEB_DIST}' ]; then echo "please set DEB_DIST to build"; exit 1; fi
	dch -v "${debversion}~${DEB_DIST}" -D ${DEB_DIST} "${DEB_DIST} build" -b
	debuild -S -sa
	ver=$$(dpkg-parsechangelog -n1 | awk '$$1 == "Version:" { print $$2 }'); \
	dput ppa:corecode/dma ../dma_$${ver}_source.changes

=== debian/migrate/Makefile ===
all:	dma-migrate

clean:
	rm -f dma-migrate dma-migrate.o

=== debian/changelog ===
dma (0.9-1) unstable; urgency=low

  * New upstream release (Closes: #671364, LP: #994003)
    - Adopt package with Peter's approval. Thank you for all your previous
      work of the years.
    - New maintainers.

  [ Arno Töll ]
  * Update patches:
      - 03-debian-locations.patch: refreshed, add Debian's default for
        MAILNAME
      - 04-debian-setgid.patch: applied upstream
      - 09-typos.patch: applied upstream
      - 10-liblockfile.patch: dropped. This removes a patch rejected by
        upstream. Most users should not notice any change, however you cannot
        safely lock your mailbox anymore if you use it on a NFS file system
        without lockd running. Thus, also drop the liblockfile build
        dependency.
      - 11-double-bounce.patch: drop. See below.
      - 13-hardening.patch: applied upstream
      - 17-mailname.patch: drop. Upstream's MAILNAME directive supersets this
        behavior. Note that this might require a configuration change to
        existing installations
      - 20-parse-recipient.patch: applied upstream
      - 23-dirent-d_type.patch: drop. The code does not use d_type anymore
      - 24-random-message-id: applied upstream
      - 25-unsupported-starttls.patch: applied upstream
      - 27-int-size.patch: applied upstream
      - 28-valid-recipient.patch: applied upstream
      - 29-double-free.patch: applied upstream
      - 30-ldflags.patch: applied upstream
      - 31-sigalrm-backoff.patch: applied upstream (but using SIGHUP instead)
      - 32-comment-uncomment.patch: applied upstream
      - 33-opportunistic-tls.patch: applied upstream
      - 34-manpage-defaults.patch: applied upstream
      - 35-delivery-retry.patch: applied upstream
      - 36-sa_nocldwait.patc: drop. The code does not use SA_NOCLDWAIT anymore
      - 37-gnu-hurd.patch: applied upstream
      - 38-unresolvable-mx.patch: not needed anymore
      - 39-fix-add-host.patch: applied upstream
      - 40-smtp-banner.patch: applied upstream
      - 41-cppcheck.patch: applied upstream
      - 42-fix-ftbfs-binutils-gold.patch: applied upstream
      - 43-const.patch: applied upstream
      - 44-newline.patch: not needed anymore
      - 45-received.patch: applied upstream
      - 46-smtp-newline.patch: dropped, not needed anymore
  * Use /etc/mailname by default for fresh installs unless changed through
    debconf.
  * Drop the Debian specific dbounce-simple-safecat behavior entirely. This
    might still be useful for some users, but we prefer to keep in line with
    upstream who prefers to keep this behavior out of their sources. Moreover,
    also drop the safecat recommendation which is therefore not needed
    anymore.
  * Handle newaliases command when invoked through dma.
  * Merge patches from a upstream snapshot:
    - 0001-set_from-always-fully-qualify-envelope-from.patch (Closes: #697871)
    - 0002-aliases-log-errors-to-syslog-and-abort.patch
    - 0003-newaliases-provide-command-alias.patch


  [ Laurent Bigonville ]
  * Add debian/gbp.conf file
  * debian/watch: Update watch file to point to github
  * debian/control:
    - Drop DM-Upload-Allowed field: Obsolete.
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Adjust VCS fields to point to collab-maint
    - Update Homepage field to point to upstream github
    - Drop hardening-includes build-dependency, not needed with debhelper 9
    - [AT] Drop dpkg-dev (build-,) pre-dependency as the required version is
      available in oldstable by now.
  * debian/rules:
    - Drastically simplify the rules file
    - Set LIBEXEC to /usr/lib/dma
    - Install spool directory with setgid bit set
  * Drop dma-migrate package, this package is not needed anymore
    (Closes: #677368, #689363)
  * Drop debian/source/options, use default compression options
  * debian/dma.maintscript: Remove /etc/dma/virtusertable, this configuration
    file is not used anymore
  * debian/rules, debian/dma.lintian-overrides: Install dma-mbox-create with
    setuid bit set

 -- Arno Töll <arno@debian.org>  Sun, 07 Jul 2013 12:58:36 +0200

dma (0.0.2010.06.17-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed 'modifies conffiles (policy 10.7.3): /etc/dma/dma.conf'
    Closes: #688682

 -- Laszlo Kajan <lkajan@rostlab.org>  Sun, 25 Nov 2012 20:19:16 +0000

dma (0.0.2010.06.17-14) unstable; urgency=low

  * Fix the parsing of multiple comma-separated and bracketed addresses
    in the 20-parse-recipient patch.  Closes: #686164
  * Consequently, refresh (line numbering only) the 24-random-message-id,
    28-valid-recipient, 40-smtp-banner, 44-newline and 45-received
    patches.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 01 Sep 2012 02:05:15 +0300

dma (0.0.2010.06.17-13) unstable; urgency=low

  * Update the debconf translations:
    - Danish by Joe Dalton; Closes: #659776
    - Refresh the bg, cs, de, es, eu, fi, fr, ja, pt, ru, sv translations
      using debconf-updatepo with no actual changes.
  * Bump Standards-Version to 3.9.3 with no changes.
  * Update the copyright file to the copyright-format/1.0 format and
    bump the year on my copyright notice.
  * Bump the debhelper compatibility level to 9 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 03 Mar 2012 02:05:34 +0200

dma (0.0.2010.06.17-12) unstable; urgency=low

  * This is hopefully the last upload before the long overdue update of
    dma to a newer upstream release.
  * Fix the syntax of the dfcompat.c entry in debian/copyright.
  * Add the 44-newline patch (upstream rev. 807f777) to allow the last
    input line to not be terminated with a newline character.
    Closes: #648369
  * Add the 45-received patch to fix the format of the Received header.
    Closes: #650268
  * Add the 46-smtp-newline patch to deal with SMTP servers that may
    send a response in more than one TCP packet.  Closes: #650265
  * Amend the 13-hardening patch to also change three instances of
    strncpy() to snprintf() to ensure null-termination.



=== debian/control ===
Source: dma
Section: mail
Priority: optional
Maintainer: Arno Töll <arno@debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>, Simon Schubert <2@0x2c.org>
Build-Depends: byacc,
               debhelper (>= 9),
               flex,
               libssl-dev,
               po-debconf
Standards-Version: 3.9.4
Homepage: http://github.com/corecode/dma
Vcs-Git: git://anonscm.debian.org/collab-maint/dma.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dma.git;a=summary

Package: dma
Architecture: any
Depends: ucf (>= 0.28), ${misc:Depends}, ${shlibs:Depends}
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Replaces: mail-transport-agent
Multi-Arch: foreign
Description: lightweight mail transport agent
 The DragonFly Mail Agent is a small Mail Transport Agent (MTA),
 designed for home and office use.  It accepts mails from local Mail
 User Agents (MUA) and delivers them either to local mailboxes or
 remote SMTP servers.  Remote delivery includes support for features
 such as TLS/SSL and SMTP authentication.
 .
 dma is not intended as a replacement for full-featured MTAs like
 Sendmail, Postfix, or Exim.  Consequently, dma does not listen on
 port 25 for incoming connections.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Debian build rules for dma, the DragonFly mail agent

export PREFIX=/usr
export LIBEXEC=/usr/lib/dma

%:
	dh $@

override_dh_install:
	dh_install
	install -d -o root -g mail -m 2770 debian/dma/var/spool/dma
	install -d debian/dma/etc/dma
	install -o root -g mail -m 0640 auth.conf debian/dma/etc/dma

override_dh_fixperms:
	dh_fixperms -Xusr/sbin/dma -Xvar/spool/dma -Xetc/dma -Xusr/lib/dma/dma-mbox-create

## dma 0.11

=== Makefile ===
--- 
+++ 
@@ -67,6 +67,7 @@
 permissions:
 	-${CHGRP} mail ${DESTDIR}${VARMAIL}/*
 	-${CHMOD} g+w ${DESTDIR}${VARMAIL}/*
+	-${CHMOD} 660 ${DESTDIR}${DMASPOOL}/flush
 
 install-etc:
 	${INSTALL} -d ${DESTDIR}${CONFDIR}

=== bsd/dma-mbox-create/Makefile ===
#

version!=	sh ../../get-version.sh ../../VERSION

CFLAGS+= -I${.CURDIR}/../..
CFLAGS+= -DHAVE_REALLOCF -DHAVE_STRLCPY -DHAVE_GETPROGNAME
CFLAGS+= -DLIBEXEC_PATH='"${LIBEXEC}"' -DDMA_VERSION='"${version}"'
CFLAGS+= -DCONF_PATH='"${CONFDIR}"'

PROG=	dma-mbox-create
.PATH: ${.CURDIR}/../..
SRCS+=	dma-mbox-create.c
NOMAN=
MK_MAN=	no

PREFIX?=	/usr/local
LIBEXEC?=	${PREFIX}/libexec
CONFDIR?=	${PREFIX}/etc/dma

BINOWN= root
BINGRP= mail
BINMODE=4554

.include <bsd.prog.mk>

=== debian/changelog ===
dma (0.11-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:01 +0000

dma (0.11-1) unstable; urgency=medium

  [ Arno Töll ]
  * Read the relayhost value from the configuration file when it exists when
    prompting with debconf (Closes: #741904)

  [ Laurent Bigonville ]
  * New upstream release
    - Drop d/p/0001-set_from-always-fully-qualify-envelope-from.patch,
      d/p/0002-aliases-log-errors-to-syslog-and-abort.patch,
      d/p/0003-newaliases-provide-command-alias.patch: Merged upstream
    - debian/patches/03-debian-locations.patch: Refreshed
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/postrm: Remove /var/spool/dma directory on purge (Closes: #766376)
  * debian/postinst: Set proper permission on /var/spool/dma/flush file
  * debian/po/nl.po: Add Dutch debconf translation (Closes: #766268)
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/dma.lintian-overrides: Drop unused lintian override
  * debian/control: Use https:// in Vcs-* and Homepage URL's
  * debian/copyright: Update some copyright information

 -- Laurent Bigonville <bigon@debian.org>  Sun, 29 May 2016 12:29:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: dma
 Section: mail
 Priority: optional
-Maintainer: Arno Töll <arno@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arno Töll <arno@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Simon Schubert <2@0x2c.org>
 Build-Depends: byacc,
                debhelper (>= 9),
                flex,
                libssl-dev,
                po-debconf
-Standards-Version: 3.9.4
-Homepage: http://github.com/corecode/dma
-Vcs-Git: git://anonscm.debian.org/collab-maint/dma.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dma.git;a=summary
+Standards-Version: 3.9.8
+Homepage: https://github.com/corecode/dma
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dma.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dma.git;a=summary
 
 Package: dma
 Architecture: any

## dma 0.12

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 CFLAGS?=	-O -pipe
 LDADD?=		-lssl -lcrypto -lresolv
 
-CFLAGS+=	-Wall -DDMA_VERSION='"${version}"' -DLIBEXEC_PATH='"${LIBEXEC}"' -DCONF_PATH='"${CONFDIR}"'
+CFLAGS+=	-Wall -Wno-format-truncation -DDMA_VERSION='"${version}"' -DLIBEXEC_PATH='"${LIBEXEC}"' -DCONF_PATH='"${CONFDIR}"'
 
 INSTALL?=	install -p
 CHGRP?=		chgrp

=== debian/changelog ===
dma (0.12-1) unstable; urgency=medium

  * New upstream release
    - Drop the patches that were cherrypicked from upstream
  * debian/rules: Disable DH_VERBOSE by default
  * debian/copyright: Use https when possible and update Source field
  * Remove really old migration paths from the maintainer scripts

 -- Laurent Bigonville <bigon@debian.org>  Thu, 22 Aug 2019 21:19:46 +0200

dma (0.11-2) unstable; urgency=medium

  * Bump debhelper compatibility version to 12
  * debian/control: Update the Vcs-* fields to point to salsa
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/copyright: Add a wildcard file section
  * debian/control: Add Rules-Requires-Root: binary-targets
  * d/p/0002-crypto-Don-t-limit-to-TLSv1-only.patch: Do not limit SSL
    connection to TLSv1 (Closes: #871429)
  * d/p/0003-properly-deal-with-SSL_connect-return-value.patch: Properly check
    the return code of SSL_connect()
  * debian/po/pt_BR.po: Add translation for Brazilian Portuguese, thanks to
    Adriano Rafael Gomes <adrianorg@arg.eti.br> (Closes: #816928)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 19 Jul 2019 21:30:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: dma
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Arno Töll <arno@debian.org>
+Maintainer: Arno Töll <arno@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Simon Schubert <2@0x2c.org>
 Build-Depends: byacc,
-               debhelper (>= 9),
+               debhelper (>= 12),
                flex,
                libssl-dev,
                po-debconf
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Homepage: https://github.com/corecode/dma
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dma.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dma.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/dma.git
+Vcs-Browser: https://salsa.debian.org/debian/dma
+Rules-Requires-Root: binary-targets
 
 Package: dma
 Architecture: any

## dma 0.13

=== debian/changelog ===
dma (0.13-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:55 +1100

dma (0.13-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:39:10 +0000

dma (0.13-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 15:45:52 +0100

dma (0.13-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Laurent Bigonville ]
  * New upstream version 0.13 (Closes: #963867)
  * debian/dma.lintian-overrides: Drop ancient no-upstream-changelog tag
    override

  [ Antonio Russo ]
  * remove obsolete parameter to -q

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 Jan 2021 23:07:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dma
 Section: mail
 Priority: optional
-Maintainer: Arno Töll <arno@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arno Töll <arno@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Simon Schubert <2@0x2c.org>
 Build-Depends: byacc,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                flex,
                libssl-dev,
                po-debconf
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/corecode/dma
 Vcs-Git: https://salsa.debian.org/debian/dma.git
 Vcs-Browser: https://salsa.debian.org/debian/dma

=== debian/watch ===
# watch control file for dma, the DragonFly mail agent
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/dma-$1.tar.gz/ \
  https://github.com/corecode/dma/tags .*/v?(\d[\d\.]+)\.tar\.gz

## dma 0.14

=== bsd/Makefile ===
SUBDIR= dma dma-mbox-create

.include <bsd.subdir.mk>

=== bsd/dma/Makefile ===
# $DragonFly: src/libexec/dma/Makefile,v 1.5 2008/09/19 00:36:57 corecode Exp $
#

version!=       sh ../../get-version.sh ../../VERSION

CFLAGS+= -I${.CURDIR}/../..
CFLAGS+= -DHAVE_REALLOCF -DHAVE_STRLCPY -DHAVE_GETPROGNAME
CFLAGS+= -DLIBEXEC_PATH='"${LIBEXEC}"' -DDMA_VERSION='"${version}"'
CFLAGS+= -DCONF_PATH='"${CONFDIR}"'

DPADD=  ${LIBSSL} ${LIBCRYPTO}
LDADD=  -lssl -lcrypto

PROG=	dma
.PATH: ${.CURDIR}/../..
SRCS=	aliases_parse.y aliases_scan.l base64.c conf.c crypto.c
SRCS+=	dma.c dns.c local.c mail.c net.c spool.c util.c
MAN=	dma.8

PREFIX?=	/usr/local
LIBEXEC?=	${PREFIX}/libexec
CONFDIR?=	${PREFIX}/etc/dma

BINOWN= root
BINGRP= mail
BINMODE=2555
WARNS?=	5

.include <bsd.prog.mk>

=== debian/changelog ===
dma (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * debian/control: Bump Standards-Version to 4.7.2 (no further changes)
  * debian/watch: Update to version 4

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 Aug 2025 18:40:37 +0200

dma (0.13-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/dma.lintian-overrides on line 2-4.
  * Remove an obsolete maintscript entry.
  * Bump debhelper from old 12 to 13.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info format in d/dma.lintian-overrides on line 1.

  [ Otto Kekäläinen ]
  * Remove personal preference gbp.conf options that don't belong in a package

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1102438)

  [ Laurent Bigonville ]
  * Add systemd timer

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 May 2025 10:37:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: dma
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Arno Töll <arno@debian.org>
+Maintainer: Arno Töll <arno@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Simon Schubert <2@0x2c.org>
 Build-Depends: byacc,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                flex,
                libssl-dev,
                po-debconf
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/corecode/dma
 Vcs-Git: https://salsa.debian.org/debian/dma.git
 Vcs-Browser: https://salsa.debian.org/debian/dma

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # Debian build rules for dma, the DragonFly mail agent
+
+#export DH_VERBOSE=1
 
 export PREFIX=/usr
 export LIBEXEC=/usr/lib/dma

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/corecode/dma/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## dma 1.1

=== DESCRIPTION ===
Package: dma
Type: Package
Title: Dynamic model averaging
Version: 1.1
Date: 2012-05-13
Author: Tyler H. McCormick, Adrian Raftery, David Madigan
Maintainer: Tyler H. McCormick <tylermc@uw.edu>
Description: Dynamic model averaging for binary and continuous
        outcomes.
Suggests: MASS, mnormt
License: GPL-2
LazyLoad: yes
Packaged: 2012-05-15 04:27:28 UTC; tylermccormick
Repository: CRAN
Date/Publication: 2012-05-15 06:38:01

## dma 1.2-0

=== DESCRIPTION ===
Package: dma
Type: Package
Title: Dynamic model averaging
Version: 1.2-0
Date: 2013-05-2
Author: Tyler H. McCormick, Adrian Raftery, David Madigan
Maintainer: Hana Sevcikova <hanas@uw.edu>
Description: Dynamic model averaging for binary and continuous
        outcomes.
Suggests: MASS, mnormt
License: GPL-2
LazyLoad: yes
Packaged: 2013-05-03 03:09:17 UTC; hana
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-05-03 08:16:31

## dma 1.2-2

=== DESCRIPTION ===
Package: dma
Type: Package
Title: Dynamic model averaging
Version: 1.2-2
Date: 2014-11-5
Author: Tyler H. McCormick, Adrian Raftery, David Madigan
Maintainer: Hana Sevcikova <hanas@uw.edu>
Description: Dynamic model averaging for binary and continuous
        outcomes.
Imports: MASS, mnormt
License: GPL-2
LazyLoad: yes
NeedsCompilation: no
Packaged: 2014-11-06 00:09:47 UTC; hana
Repository: CRAN
Date/Publication: 2014-11-06 10:37:09

## dma 1.2-3

=== DESCRIPTION ===
Package: dma
Type: Package
Title: Dynamic Model Averaging
Version: 1.2-3
Date: 2016-1-6
Author: Tyler H. McCormick, Adrian Raftery, David Madigan
Maintainer: Hana Sevcikova <hanas@uw.edu>
Description: Dynamic model averaging for binary and continuous
        outcomes.
Imports: MASS, mnormt
License: GPL-2
LazyLoad: yes
NeedsCompilation: no
Packaged: 2016-01-06 20:17:22 UTC; hana
Repository: CRAN
Date/Publication: 2016-01-06 23:11:37

## dma 1.3-0

=== DESCRIPTION ===
Package: dma
Type: Package
Title: Dynamic Model Averaging
Version: 1.3-0
Date: 2017-6-15
Author: Tyler H. McCormick, Adrian Raftery, David Madigan
Maintainer: Hana Sevcikova <hanas@uw.edu>
Description: Dynamic model averaging for binary and continuous
        outcomes.
Imports: MASS, mnormt
License: GPL-2
NeedsCompilation: no
Packaged: 2017-06-15 20:16:23 UTC; hana
Repository: CRAN
Date/Publication: 2017-06-15 20:44:06 UTC

## dma 1.3-1

=== DESCRIPTION ===
Package: dma
Type: Package
Title: Dynamic Model Averaging
Version: 1.3-1
Date: 2018-3-9
Author: Tyler H. McCormick, Adrian Raftery, David Madigan
Maintainer: Hana Sevcikova <hanas@uw.edu>
Description: Dynamic model averaging for binary and continuous
        outcomes.
Imports: MASS, mnormt
License: GPL-2
NeedsCompilation: no
Packaged: 2018-03-10 01:09:24 UTC; hana
Repository: CRAN
Date/Publication: 2018-03-10 16:03:22 UTC

## dma 1.4-0

=== DESCRIPTION ===
Package: dma
Type: Package
Title: Dynamic Model Averaging
Version: 1.4-0
Date: 2018-10-04
Author: Tyler H. McCormick, Adrian Raftery, David Madigan, Sevvandi Kandanaarachchi [ctb], Hana Sevcikova [ctb]
Maintainer: Hana Sevcikova <hanas@uw.edu>
Description: Dynamic model averaging for binary and continuous
        outcomes.
Imports: MASS
Suggests: testthat
License: GPL-2
NeedsCompilation: no
Packaged: 2018-10-04 23:38:01 UTC; hana
Repository: CRAN
Date/Publication: 2018-10-05 17:30:03 UTC

## dma 1.4-1

=== DESCRIPTION ===
Package: dma
Type: Package
Title: Dynamic Model Averaging
Version: 1.4-1
Date: 2025-07-24
Authors@R: c(person(given = c("Tyler", "H."),
                      family = "McCormick",
                      role = "aut"),
               person(given = "Adrian",
                      family = "Raftery",
                      role = "aut"),
               person(given = "David",
                      family = "Madigan",
                      role = "aut"),
               person(given = "Sevvandi",
                      family = "Kandanaarachchi",
                      role = c("ctb", "aut")),
               person(given = "Hana",
                      family = "Sevcikova",
                      role = c("ctb", "aut", "cre"),
                      email = "hanas@uw.edu"))
Description: Dynamic model averaging for binary and continuous
        outcomes.
Imports: MASS
Suggests: testthat
License: GPL-2
NeedsCompilation: no
Packaged: 2025-07-24 18:51:34 UTC; hana
Author: Tyler H. McCormick [aut],
  Adrian Raftery [aut],
  David Madigan [aut],
  Sevvandi Kandanaarachchi [ctb, aut],
  Hana Sevcikova [ctb, aut, cre]
Maintainer: Hana Sevcikova <hanas@uw.edu>
Repository: CRAN
Date/Publication: 2025-07-29 09:20:17 UTC

## dma 1.4-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dma
 Type: Package
 Title: Dynamic Model Averaging
-Version: 1.4-1
-Date: 2025-07-24
+Version: 1.4-2
+Date: 2025-09-19
 Authors@R: c(person(given = c("Tyler", "H."),
                       family = "McCormick",
                       role = "aut"),
@@ -25,7 +25,7 @@
 Suggests: testthat
 License: GPL-2
 NeedsCompilation: no
-Packaged: 2025-07-24 18:51:34 UTC; hana
+Packaged: 2025-09-19 08:01:27 UTC; hana
 Author: Tyler H. McCormick [aut],
   Adrian Raftery [aut],
   David Madigan [aut],
@@ -33,4 +33,4 @@
   Hana Sevcikova [ctb, aut, cre]
 Maintainer: Hana Sevcikova <hanas@uw.edu>
 Repository: CRAN
-Date/Publication: 2025-07-29 09:20:17 UTC
+Date/Publication: 2025-09-19 11:20:02 UTC

## dma libspe2

=== Makefile ===
PPU_PROG = dma_libspe2_ppe
SPU_PROG = dma_libspe2_spe

PPU_SRCS = dma_libspe2_ppe.c
PPU_OBJS = $(PPU_SRCS:%.c=%.o)

SPU_SRCS = dma_libspe2_spe.c
SPU_OBJS = $(SPU_SRCS:%.c=%.o)


PPU_CC = ppu-gcc
SPU_CC = spu-gcc

PPU_CFLAGS = -Wall -O2
PPU_CPPFLAGS = 
PPU_LIBS = -lspe2
PPU_LDFLAGS = $(PPU_LIBS)

SPU_CFLAGS = -Wall -O3
SPU_CPPFLAGS =
SPU_LIBS =
SPU_LDFLAGS = $(SPU_LIBS)



.PHONY: all clean

all: $(PPU_PROG) $(SPU_PROG)

$(SPU_OBJS): 
	$(SPU_CC) $(SPU_CFLAGS) $(SPU_CPPFLAGS) -c $^ -o $@

$(PPU_OBJS): 
	$(PPU_CC) $(PPU_CFLAGS) $(PPU_CPPFLAGS) -c $^ -o $@


$(SPU_PROG): $(SPU_OBJS)
	$(SPU_CC) -o $@ $(SPU_CFLAGS) $(SPU_LDFLAGS) $^

$(PPU_PROG): $(PPU_OBJS)
	$(PPU_CC) -o $@ $(PPU_CFLAGS) $(PPU_LDFLAGS) $^


clean:
	-rm -f $(PPU_PROG) $(PPU_OBJS) *~
	-rm -f $(SPU_PROG) $(SPU_OBJS) *~

### dependencies

dma_libspe2_spe.o: dma_libspe2_spe.c

dma_libspe2_ppe.o: dma_libspe2_ppe.c

## dma nomfcstat

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-PPU_PROG = dma_libspe2_ppe
-SPU_PROG = dma_libspe2_spe
+PPU_PROG = dma_nomfcstat_ppe
+SPU_PROG = dma_nomfcstat_spe
 
-PPU_SRCS = dma_libspe2_ppe.c
+PPU_SRCS = dma_nomfcstat_ppe.c
 PPU_OBJS = $(PPU_SRCS:%.c=%.o)
 
-SPU_SRCS = dma_libspe2_spe.c
+SPU_SRCS = dma_nomfcstat_spe.c
 SPU_OBJS = $(SPU_SRCS:%.c=%.o)
 
 
@@ -47,6 +47,6 @@
 
 ### dependencies
 
-dma_libspe2_spe.o: dma_libspe2_spe.c
+dma_nomfcstat_spe.o: dma_nomfcstat_spe.c
 
-dma_libspe2_ppe.o: dma_libspe2_ppe.c
+dma_nomfcstat_ppe.o: dma_nomfcstat_ppe.c
